Skip to Content
Video ModelsWAN 2.6 Flash

WAN 2.6 Flash

Overview

WAN 2.6 Flash is a fast and cost-effective image-to-video generation model. It supports 720p and 1080p output with 5, 10, or 15 second durations.

Test API KEY: key_00000000000000000000000000000000

Endpoints

1. Create Task

Request

POST https://api.pixwithapi.online/api/task/create

Headers

HeaderValueRequired
Content-Typeapplication/jsonYes
Api-Key{API_KEY}Yes

Request Parameters

ParameterTypeRequiredDescription
promptstringYesThe input prompt (e.g., “The character starts walking forward with cinematic camera motion”)
image_urlsarrayYes[“https://cdn.pixwithapi.online/xxx.jpg ”]. Provide 1 image for image-to-video generation.
model_idstringYes2-42
optionsobjectYesConfiguration options for the task
options.prompt_optimizationbooleanYesIf true, all prompt words will be automatically translated into English.
options.resolutionstringYesResolution of the output. Valid values: '720p' or '1080p'
options.durationintYesDuration in seconds. Valid values: 5, 10, or 15
options.audio_urlstringNoReference audio URL.plase upload WAV/MP3 audio (max 15 MB,2~30 sec) for synchronized generation, Supports full URL (e.g., https://example.com/a.mp3)

Example Request

{ "prompt": "The character starts walking forward with cinematic camera motion", "image_urls": [ "https://cdn.pixwithapi.online/example.jpeg" ], "model_id": "2-42", "options": { "prompt_optimization": true, "resolution": "1080p", "duration": 10, "audio_url": "https://example.com/audio/example_reference.mp3" } }

Response Parameters

ParameterTypeDescription
codeint1=success, 0=error
messagestringSuccess and failure messages
dataobject
data.task_idstring
data.estimated_timeintEstimated time in seconds

Response

{ "code": 1, "message": "success", "data": { "task_id": "d425ab4dc256f0ebaa84862b9cea8a3d", "estimated_time": 300 } }
Last updated on